Subject: 23.1; 23.1; Emacs does not respect Xresources

From: Mandar Mitra <[email-masked]>
Date: Mon, 30 Aug 2010 17:48:46 +0530

I have the following line in my .Xresources file:

emacs.geometry: 80x45

My .Xdefaults is a symlink pointing to .Xresources. 

When I start emacs without a -geometry argument, it comes up with a 80x43
window. The value of initial-frame-alist is

((menu-bar-lines . 1)
 (tool-bar-lines . 0)
 (vertical-scroll-bars))

The value of default-frame-alist is

((width . 80)
 (height . 45)
 (menu-bar-lines . 1)
 (tool-bar-lines . 0)
 (vertical-scroll-bars))

When I add the -geometry argument, the emacs window comes up with the
correct size.

In GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.20.0)
 of 2010-03-30 on rothera, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.10706000
configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: POSIX
  value of $LANG: C
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: Text

Minor modes in effect:
  savehist-mode: t
  partial-completion-mode: t
  yas/global-mode: t
  yas/minor-mode: t
  tabbar-mwheel-mode: t
  tabbar-mode: t
  jabber-activity-mode: t
  iswitchb-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <menu-bar> <help-menu> <send-emacs-bug
-report>

Recent messages:
Loading debian-ispell...done
Loading /var/cache/dictionaries-common/emacsen-ispell-dicts.el (source)...done
Loading /etc/emacs/site-start.d/50dictionaries-common.el (source)...done
Loading vip...done
Loading /home/mandar/.emacs.d/cedet/common/cedet.elc...
Setting up CEDET packages...done
Loading /home/mandar/.emacs.d/cedet/common/cedet.elc...done
Loading delsel...done
Fill column set to 75 (was 70)
For information about GNU Emacs and the GNU system, type C-h C-a.
This mail is scanned by Ironport